<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-diretor-heading" jhiTranslate="locadoraApp.diretor.home.createOrEditLabel">Create or edit a Diretor</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!diretor.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="diretor.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.diretor.nome" for="field_nome">Nome</label>
                    <input type="text" class="form-control" name="nome" id="field_nome"
                        [(ngModel)]="diretor.nome" required/>
                    <div [hidden]="!(editForm.controls.nome?.dirty && editForm.controls.nome?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.nome?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.diretor.observacao" for="field_observacao">Observacao</label>
                    <input type="text" class="form-control" name="observacao" id="field_observacao"
                        [(ngModel)]="diretor.observacao" maxlength="4000"/>
                    <div [hidden]="!(editForm.controls.observacao?.dirty && editForm.controls.observacao?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.observacao?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 4000 }">
                        This field cannot be longer than 4000 characters.
                        </small>
                    </div>
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
